MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002677VCMIGUI - Adventure Mappublic2017-05-17 15:562017-05-28 12:12
Reportermisiokles 
Assigned ToFeniksFire 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Version0.99 
Target VersionFixed in Version 
Summary0002677: Towns on adventure map have always "capitol" defs.
DescriptionIn VCMI we can have diffirent towns' animations depending of village/fort/citadel/castle/capitol build inside. In last vcmi version and daily builds this feature stops working. Game always shows town-capitol animation (even when there's no town, only village).
Steps To ReproduceStart any scenario. For better viewing, enable HotA's submod New Towns for map. There's any diffence between village/fort/citadel/castle/capitol animations - only capitol town is shown.
TagsNo tags attached.
Attached Filespng file icon allCapitols.png [^] (941,902 bytes) 2017-05-17 15:56

- Relationships
related to 0001911resolvedFeniksFire Flag on the town can be seen, as if built capitol 

-  Notes
(0007060)
FeniksFire (developer)
2017-05-28 12:11

Fixed in:
https://github.com/vcmi/vcmi/commit/f24396f3b3a9f11598eec77d69c0e1421a078469 [^]

- Issue History
Date Modified Username Field Change
2017-05-17 15:56 misiokles New Issue
2017-05-17 15:56 misiokles File Added: allCapitols.png
2017-05-25 16:47 FeniksFire Assigned To => FeniksFire
2017-05-25 16:47 FeniksFire Status new => assigned
2017-05-28 12:04 SXX Relationship added related to 0001911
2017-05-28 12:11 FeniksFire Note Added: 0007060
2017-05-28 12:12 FeniksFire Status assigned => resolved
2017-05-28 12:12 FeniksFire Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2017 MantisBT Team
Hosting provided by DigitalOcean